#include <stdio.h>
#include <stdlib.h>
#include <math.h>
int main(void) 
{
  int n,i,j=0,k;
  scanf("%d", &n);
  char t[n];
  scanf("%s", t);
  char s[26]="ABCDEFGHIJKLMNOPQRSTUVWXYZ";
  long int br=1;
  for(i=0;i<26;i++)
  {
    k=0;
    j=0;
    while(t[j]!=s[i]&&j<n) j++;
    if(j==n-1)
    {
      br=0;
      break;
    }
    while(t[j]==s[i])
    { 
      k++;
      j++;
    }
    br*=k;
  }
  printf("%ld", br%((int)pow(10,9)+7));
}